.comment-container {
    position: fixed;
    width: 600px;
    top: 60px;
    height: calc(100% - 120px);
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 999;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 0 30px 2px #666;
    overflow: hidden;
    display: none;
}
@media (max-width: 993px) {
    .comment-container {
        width: 95%;
    }
}
.commentbox {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: grid;
    grid-template-rows: 70px 1fr auto;
    background-color: #eefbff;
}
.commentbox-header {
    display: grid;
    grid-template-columns: 1fr 40px;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #ccc;
}
.commentbox-post-title {
    font-size: 1.2rem;
    font-weight: bold;
}
.commentbox-close {
    border-radius: 5px;
}
.comment-listbox {
    overflow-y: auto;
    padding: 10px;
}
.comment-formbox {
    /*position: absolute;
    bottom: 0;
    width: 100%;*/
    padding: 10px;
    border: 1px solid #ddd;
    background-color: #fff;
}
.comment-form {
    position: relative;
}
.comment-inputbox {
    display: grid;
    grid-template-columns: 1fr 40px;
    gap: 10px;
    align-items: top;
}
.comment-text-input {
    border: 1px solid #ccc;
    padding: 12px 10px;
    border-radius: 5px;
}
.comment-submit {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 7px 20px;
    background-color: var(--theme-color-ext);
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
}
.comment-save-message {
    position: absolute;
    left: 0;
    top: 0;
    font-size: 0.9rem;
    text-align: center;
    width: 100%;
    height: 100%;
    margin: 0;
    background-color: white;
    opacity: 0.8;
    display: none;
}

/* -- Comment list -- */
.comments-load-form {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}
.comment-list-info {
    font-size: 0.8rem;
    color: #888;
}
.comment-sort-select {
    font-size: 0.8rem;
    font-family: Narrow;
}
.comments-refresh {
    border: 1px solid #fefefe;
    background-color: transparent;
    color: #666;
}

.comment {
    position: relative;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    margin: 10px 0;
    background-color: #fff;
}
.comment-info {
    display: flex;
    flex-direction: row;
}
.comment-avatar {
    width: 40px;
    height: 40px;
    border-radius: 10px;
    margin-right: 10px;
}
.comment-author {
    font-size: 0.9rem;
    color: #444;
}
.comment-author-official {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.comment-author-official i {
    color: limegreen;
}
.comment-time {
    font-size: 0.7rem;
    color: #888;
    margin-top: 3px;
}

.comment-menu-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    border: transparent;
}
.comment-menu {
    position: absolute;
    top: 25px;
    right: 10px;
    width: 100px;
    display: none;
}
.comment-menu a {
    font-size: 0.8rem;
}

.comment-text {
    margin-top: 5px;
    font-size: 0.9rem;
    white-space: pre-wrap;
    padding: 5px 0;
}
.comment-reactionbox {
    position: relative;
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    border-top: 1px solid #eee;
}
.comment-reaction-btnbox {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.comment-reaction-btn {
    border: none;
    background-color: transparent;
    font-size: 0.8rem;
    color: #444;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.comment-reaction-btn i {
    font-size: 1.2rem;
}
.comment-reaction-btn i.reacted {
    color: red;
}
.comment-reaction-count {
    font-size: 0.7rem;
    color: #666;
    padding: 3px 5px;
    border: 1px solid #ddd;
    border-radius: 7px;
}

.reply2reply {
    border: none;
    background-color: transparent;
    font-size: 0.8rem;
    color: #444;
}

.comment-replybox {
    padding-left: 30px;
    margin-top: 10px;
}
.comment-reply-container {
    margin-left: 30px;
}